org.wildfly.swarm.camel.core

## Class CamelFraction

- java.lang.Object
- - org.wildfly.swarm.camel.core.CamelFraction

- All Implemented Interfaces:
    Fraction<CamelFraction>

      public final class CamelFraction
      extends Object
      implements Fraction<CamelFraction>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Logger` | `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CamelFraction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CamelFraction` | `addRouteBuilder(RouteBuilder builder)`
    `CamelFraction` | `addRouteBuilder(String name, RouteBuilder builder)`
    `void` | `context(String key, String path)`
    `Map<String,String>` | `contexts()`
    `void` | `contexts(Map<String,String> contexts)`
    `Map<String,RouteBuilder>` | `getRouteBuilders()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults, applyDefaults`

- - ### Field Detail

    - #### LOGGER

          public static final Logger LOGGER

  - ### Constructor Detail

    - #### CamelFraction

          public CamelFraction()

  - ### Method Detail

    - #### addRouteBuilder

          public CamelFraction addRouteBuilder(RouteBuilder builder)

    - #### addRouteBuilder

          public CamelFraction addRouteBuilder(String name,
                                               RouteBuilder builder)

    - #### getRouteBuilders

          public Map<String,RouteBuilder> getRouteBuilders()

    - #### context

          public void context(String key,
                              String path)

    - #### contexts

          public void contexts(Map<String,String> contexts)

    - #### contexts

          public Map<String,String> contexts()

Copyright © 2017 JBoss by Red Hat. All rights reserved.